Content view: Descriptor used to indicate composite status should be uniform across UI

04/11/2014 05:33 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1082707 Red Hat JIRA:  

Pull request:    

Description

(In reply to Corey Welton from comment #0)

Description of problem:

In some places, "Yes" or "No" is used to indicate whether a content view is

composite.  In other places, true/false is used.  One of these should be

used uniformly across UI

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch

candlepin-tomcat6-0.9.7-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.5.0.11-1.el6sat.noarch

foreman-postgresql-1.5.0.11-1.el6sat.noarch

foreman-proxy-1.5.4-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

katello-1.5.0-19.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.31-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

openldap-devel-2.4.23-32.el6_4.1.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

rubygem-hammer_cli-0.1.0-4.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.0-5.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-11.el6sat.noarch

How reproducible:
Steps to Reproduce:

1.  Create a variety of content views, some composite, some not.

2.  Go to the main content view UI and observe the values in the

"Composite?" column

3.  Click one of the views and go to the details tab.

4.  Observe the value for "Composite?"

Actual results:

In the main view, it reads Yes/No

In the individual composite view details, it reads true/false.

Expected results:

Choose one of these and use it uniformly across UI.

Additional info:

Not sure if this is anywhere else in the UI, offhand.

Associated revisions

Revision 7beb8c0f - 04/11/2014 01:34 PM - Walden Raines

Fixes #5159, BZ1082707 - display Yes/No to indicate composite status.

Revision 7b771c76 - 04/11/2014 05:34 PM - Walden Raines

Fixes #5159, BZ1082707 - display Yes/No to indicate composite status.

Revision e6499dd5 - 04/14/2014 10:23 AM - Walden Raines

Merge pull request #3972 from waldenraines/bug-5159

Fixes #5159, BZ1082707 - display Yes/No to indicate composite status.

Revision 04de2f47 - 04/14/2014 02:23 PM - Walden Raines

Merge pull request #3972 from waldenraines/bug-5159

Fixes #5159, BZ1082707 - display Yes/No to indicate composite status.

History

#1 - 04/11/2014 05:34 PM - Walden Raines

- Subject changed from Content view: Descriptor used to indicate composite status should be uniform across U to Content view: Descriptor used to

indicate composite status should be uniform across UI

#2 - 04/11/2014 05:36 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/3972

#3 - 04/14/2014 02:53 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:7b771c76bba453e71500340ae18c841c5d493648.

#4 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/21/2014 02:45 PM - Eric Helms

- translation missing: en.field_release set to 13
